org.eclipse.emf.cdo.explorer.checkouts

## Interface CDOCheckoutManager

- All Superinterfaces:
    CDOExplorerManager<CDOCheckout>, IAdaptable, IContainer<CDOCheckout>, INotifier

      public interface CDOCheckoutManager
      extends CDOExplorerManager<CDOCheckout>

  Manages a set of `checkouts`.
  Since:
    4.4
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `CDOCheckoutManager.CheckoutStateEvent`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.cdo.explorer.CDOExplorerManager

      `CDOExplorerManager.ElementsChangedEvent`

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.container.IContainer

      `IContainer.Modifiable<E>, IContainer.Persistable<E>, IContainer.Persistence<E>`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CDOCheckout` | `addCheckout(java.util.Properties properties)`
    `CDOCheckout` | `getCheckout(CDOView view)`
    `CDOCheckout` | `getCheckout(java.lang.String id)`
    `CDOCheckout` | `getCheckoutByLabel(java.lang.String label)`
    `CDOCheckout[]` | `getCheckouts()`

    - ### Methods inherited from interface org.eclipse.emf.cdo.explorer.CDOExplorerManager

      `getUniqueLabel`

    - ### Methods inherited from interface org.eclipse.net4j.util.container.IContainer

      `getElements, isEmpty`

    - ### Methods inherited from interface org.eclipse.net4j.util.event.INotifier

      `addListener, getListeners, hasListeners, removeListener`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Method Detail

    - #### getCheckout

          CDOCheckout getCheckout(java.lang.String id)

    - #### getCheckout

          CDOCheckout getCheckout(CDOView view)

    - #### getCheckoutByLabel

          CDOCheckout getCheckoutByLabel(java.lang.String label)

    - #### getCheckouts

          CDOCheckout[] getCheckouts()

    - #### addCheckout

          CDOCheckout addCheckout(java.util.Properties properties)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html